Set a design's commission rate
curl --request PATCH \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"design": {
"commission_rate_id": 593363170
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}"
payload = { "design": { "commission_rate_id": 593363170 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({design: {commission_rate_id: 593363170}})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'design' => [
'commission_rate_id' => 593363170
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}"
payload := strings.NewReader("{\n \"design\": {\n \"commission_rate_id\": 593363170\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"design\": {\n \"commission_rate_id\": 593363170\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"design\": {\n \"commission_rate_id\": 593363170\n }\n}"
response = http.request(request)
puts response.read_body{
"design": {
"public_uid": "BD-1234",
"name": "KENEKT DESIGN",
"description": "<div class=\"lexxy-content prose prose-lg max-w-none\"\n data-controller=\"lexxy-attachments\"\n data-lexxy-attachments-max-bytes-value=\"5242880\"\n data-lexxy-attachments-types-value=\"["image/jpeg","image/png","application/pdf"]\">\n <div>build design test</div>\n</div>\n",
"active": true,
"bedroom": "3",
"bathroom": "2",
"garage": "1",
"living": null,
"floor_area": "150.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": "15",
"build_length": "12",
"min_width_land": "12.0",
"min_length_land": "20.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
}Stock / Designs
Set a design's commission rate
The rate must belong to the agency.
PATCH
/
{agency_uid}
/
designs
/
{design_id}
/
commissions
/
{id}
Set a design's commission rate
curl --request PATCH \
--url https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"design": {
"commission_rate_id": 593363170
}
}
'import requests
url = "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}"
payload = { "design": { "commission_rate_id": 593363170 } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({design: {commission_rate_id: 593363170}})
};
fetch('https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'design' => [
'commission_rate_id' => 593363170
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}"
payload := strings.NewReader("{\n \"design\": {\n \"commission_rate_id\": 593363170\n }\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"design\": {\n \"commission_rate_id\": 593363170\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.kenekt.com.au/v1/{agency_uid}/designs/{design_id}/commissions/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"design\": {\n \"commission_rate_id\": 593363170\n }\n}"
response = http.request(request)
puts response.read_body{
"design": {
"public_uid": "BD-1234",
"name": "KENEKT DESIGN",
"description": "<div class=\"lexxy-content prose prose-lg max-w-none\"\n data-controller=\"lexxy-attachments\"\n data-lexxy-attachments-max-bytes-value=\"5242880\"\n data-lexxy-attachments-types-value=\"["image/jpeg","image/png","application/pdf"]\">\n <div>build design test</div>\n</div>\n",
"active": true,
"bedroom": "3",
"bathroom": "2",
"garage": "1",
"living": null,
"floor_area": "150.0",
"external_area": null,
"has_study": null,
"storey_type": "Single Storey",
"building_type": "House",
"range_name": null,
"photos_count": 0,
"documents_count": 0,
"build_width": "15",
"build_length": "12",
"min_width_land": "12.0",
"min_length_land": "20.0",
"squares": "0.0",
"floor_area_second_dwelling": "0.0",
"squares_second_dwelling": null,
"videos": [],
"rooms": []
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
OK
Show child attributes
Show child attributes